import { LegendBase } from "./LegendBase";
import { IChartItemLegend } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { LegendOrientation } from "./LegendOrientation";
import { LegendBaseView } from "./LegendBaseView";
import { Type } from "igniteui-angular-core";
import { UIElement } from "igniteui-angular-core";
import { ILegendSeries } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { ILegendContext } from "igniteui-angular-core";
import { LegendVisualData } from "./LegendVisualData";
/**
 * @hidden
 */
export declare class ItemLegend extends LegendBase implements IChartItemLegend {
    static $t: Type;
    aj(): LegendBaseView;
    ba(a: LegendBaseView): void;
    bd: ItemLegendView;
    constructor();
    addChildInOrder(a: UIElement, b: ILegendSeries): void;
    protected get_isItemwise(): boolean;
    createItemwiseLegendItems(a: List$1<UIElement>, b: ILegendSeries): void;
    a1(a: List$1<UIElement>, b: ILegendSeries): void;
    createLegendItemsInsert(a: List$1<UIElement>, b: ILegendSeries): void;
    bm(a: List$1<UIElement>, b: ILegendSeries): void;
    renderItemwiseContent(a: ILegendSeries): void;
    bn(a: ILegendSeries): void;
    private bi;
    bh(a: ILegendSeries): number;
    private bg;
    bf: IFastItemColumn$1<number>;
    get be(): LegendOrientation;
    set be(a: LegendOrientation);
    get bk(): string;
    set bk(a: string);
    get bl(): string;
    set bl(a: string);
}
/**
 * @hidden
 */
export declare class ItemLegendView extends LegendBaseView {
    static $t: Type;
    constructor(a: ItemLegend);
    ap: ItemLegend;
    al(): void;
    protected get_k(): boolean;
    aq(a: ILegendContext): boolean;
    g(): LegendVisualData;
}
